Package org.springframework.aot.hint.annotation

# Class ReflectiveRuntimeHintsRegistrar

java.lang.Object
org.springframework.aot.hint.annotation.ReflectiveRuntimeHintsRegistrar

public class ReflectiveRuntimeHintsRegistrar extends Object
Process `@Reflective` annotated elements.

Since:
  6.0
Author:
  Stephane Nicoll, Andy Wilkinson

## Constructor Summary

Constructors
Constructor
Description
`ReflectiveRuntimeHintsRegistrar()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isCandidate(Class<?> type)`
Specify if the given `type` is a valid candidate.
`void`
`registerRuntimeHints(RuntimeHints runtimeHints, Class<?>... types)`
Register the relevant runtime hints for elements that are annotated with `Reflective`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReflectiveRuntimeHintsRegistrar

public ReflectiveRuntimeHintsRegistrar()

## Method Details

### registerRuntimeHints

public void registerRuntimeHints(RuntimeHints runtimeHints, Class<?>... types)
Register the relevant runtime hints for elements that are annotated with `Reflective`.

Parameters:
  `runtimeHints` - the runtime hints instance to use
  `types` - the types to process

### isCandidate

public boolean isCandidate(Class<?> type)
Specify if the given `type` is a valid candidate.

Parameters:
  `type` - the type to inspect
Returns:
  `true` if the type uses `Reflective` in a way that is supported by this registrar
Since:
  6.2